---
title: "List of all UCBs attributed to a customer"
url: "https://developer.migros.ch/apis/coupons-3/versions/2b8e9e45-2e72-462e-b3cb-d5019d51e0e3/operations/getUserUCBs"
---

> Full API specification: https://developer.migros.ch/apis/coupons-3/versions/2b8e9e45-2e72-462e-b3cb-d5019d51e0e3.md

# List of all UCBs attributed to a customer

`GET` `/migros/customers/coupons/v3/users/{cumulus}/ucbs`

Operation ID: `getUserUCBs`

This endpoint returns the set of all UCBs (aka "Blaue Bons" aka "Cumulus Bons") attributed to a certain customer, identified by the Cumulus number.

## Path parameters

- `cumulus` (string, required) - Cumulus number.

## Responses

- `200` - Lists of UCBs attributed to the customer.
- `default` - Standard HTTP semantics (see above), no machine-interpretable body.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Coupons
  version: 3.4.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/coupons/v3/users/{cumulus}/ucbs:
    get:
      description: This endpoint returns the set of all UCBs (aka "Blaue Bons" aka
        "Cumulus Bons") attributed to a certain customer, identified by the
        Cumulus number.
      operationId: getUserUCBs
      parameters:
        - $ref: "#/components/parameters/cumulus"
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: "#/components/schemas/UserUCB"
                type: array
          description: Lists of UCBs attributed to the customer.
        default:
          description: Standard HTTP semantics (see above), no machine-interpretable body.
      summary: List of all UCBs attributed to a customer
      tags:
        - Customer-Data
security:
  - Kong-Api-Key: []
  - Basic-Auth: []
components:
  parameters:
    cumulus:
      description: Cumulus number.
      example: "2099123456789"
      in: path
      name: cumulus
      required: true
      schema:
        maxLength: 13
        minLength: 13
        pattern: ^\d{13}$
        type: string
  schemas:
    UserUCB:
      description: Personalized UCB information of a user based on ReTi.
      properties:
        balance:
          description: Value of this UCB in CHF.
          enum:
            - 5
            - 10
            - 20
          example: 5
          type: integer
        expiry:
          description: Valid until (including) this date.
          example: 2025-09-30+02:00
          type: string
        id:
          description: The actual UCB-ID that identifies the individual UCB. This ID is
            the number/barcode printed on the UCB.
          example: "778400003621541383"
          type: string
        published:
          description: Valid from (including) this date.
          example: 2023-07-18+02:00
          type: string
        redeemed:
          description: Date and time of redemption.
          example: 2015-05-27T08:27:27+02:00
          type: string
        status:
          description: 1 = available, 2 = activated, 3 = redeemed.
          enum:
            - 1
            - 2
            - 3
          type: integer
        ucb:
          $ref: "#/components/schemas/UCB"
      required:
        - id
        - status
        - balance
      type: object
    UCB:
      description: Static data of an UCB (Blauer Bon/Coupon Bon).
      properties:
        description:
          example: Bon Wert Fr. 5
          type: string
        id:
          description: This ID just identifies the value (5, 10, 20 CHF) only. The
            individual physical UCB is identified by a UCB-ID that equals the
            number/barcode printed on the UCB.
          example: "980500100000"
          type: string
        image:
          example: https://image.migros.ch/coupons/{stack}/40187ac745c07f16a184508f17f3a3cb255d4537.jpg
          type: string
        image_app:
          example: https://image.migros.ch/coupons/{stack}/76a605b12f8ad8586c70b3a0a920836bcb5f94d8.png
          type: string
        image_app_inactive:
          example: https://image.migros.ch/coupons/{stack}/4a67aeb0ff88b07cc2cd4b4cd2b0272759f74779.png
          type: string
        image_inactive:
          example: https://image.migros.ch/coupons/{stack}/6c8cf3ca90d107207ca6760e8eb4e554d67c438d.jpg
          type: string
        language:
          example: de
          type: string
        value:
          example: 5
          format: int32
          type: integer
      required:
        - id
        - language
        - value
        - image
        - image_inactive
        - image_app
        - image_app_inactive
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    Basic-Auth:
      description: Kong basic-auth authentication
      scheme: basic
      type: http
```
